## globus-gram-job-manager-setup-condor 4.4

=== debian/changelog ===
globus-gram-job-manager-setup-condor (4.4-3) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 07:17:30 +0200

globus-gram-job-manager-setup-condor (4.4-2) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616229)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 09:44:41 +0200

globus-gram-job-manager-setup-condor (4.4-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 15:21:48 +0200
